> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Subscription

> Update Single Subscription



## OpenAPI

````yaml openapi/ecommerce.yaml patch /public/{user_id}/subscriptions/{subscription_uuid}
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/subscriptions/{subscription_uuid}:
    patch:
      tags:
        - Subscription
      summary: Update Subscription
      description: Update Single Subscription
      operationId: updateSubscription
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: illum
        - name: subscription_uuid
          in: path
          description: ''
          required: true
          schema:
            type: string
          example: e0d59c35-4863-38f1-b4e0-df22c9e9dcde
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                billing_anchor_day:
                  type: string
                  description: ''
                  nullable: true
                  example: null
            example:
              billing_anchor_day: null
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      uuid:
                        type: string
                        example: 19c246a2-0ab5-3d16-9195-00d5c451ed24
                      name:
                        type: string
                        example: Aut officiis eaque modi.
                      short_description:
                        type: string
                        example: Magnam officiis accusantium non rerum sequi qui.
                      status:
                        type: string
                        example: draft
                      current_period_start:
                        type: string
                        example: '2026-03-03T14:05:32+00:00'
                      current_period_end:
                        type: string
                        example: '2026-04-03T14:05:32+00:00'
                      previous_period_start:
                        type: string
                        example: '2026-03-03T14:05:32+00:00'
                      previous_period_end:
                        type: string
                        example: '2026-02-03T14:05:32+00:00'
                      started_at:
                        type: string
                        example: '2026-03-03T14:05:32+00:00'
                      terminated_at:
                        type: string
                        example: '2026-03-03T14:05:32+00:00'
                      billing_anchor_day:
                        type: integer
                        example: 20
                      customer:
                        type: object
                        properties:
                          uuid:
                            type: string
                            example: a13651d6-148c-4b8d-acd4-06918d21856d
                          auth_id:
                            type: string
                            example: a6e0382a-b841-3c2f-be5a-650ec179b4ba
                          name:
                            type: string
                            example: Jaron Anderson
                          business_entity_id:
                            type: string
                            example: a13651d6-13c7-4372-9279-a5f3d4035e2e
                          currency:
                            type: string
                            example: USD
                      total:
                        type: object
                        properties:
                          currency:
                            type: string
                            example: USD
                          amount:
                            type: string
                            example: '0.00'
                          amount_minor:
                            type: integer
                            example: 0
                      sub_total:
                        type: object
                        properties:
                          currency:
                            type: string
                            example: USD
                          amount:
                            type: string
                            example: '0.00'
                          amount_minor:
                            type: integer
                            example: 0
                      discount_total:
                        type: object
                        properties:
                          currency:
                            type: string
                            example: USD
                          amount:
                            type: string
                            example: '0.00'
                          amount_minor:
                            type: integer
                            example: 0
                      current_phase:
                        type: object
                        properties:
                          uuid:
                            type: string
                            example: a8d49ae8-52eb-3c2c-ad19-722116e39043
                          name:
                            type: string
                            example: Cumque id voluptas.
                          short_description:
                            type: string
                            example: Sit tempore autem et voluptas.
                          start_at:
                            type: string
                            example: '2026-03-03T14:05:32+00:00'
                          occurrence:
                            type: string
                            example: month
                          period:
                            type: integer
                            example: 1
                          end_at:
                            type: string
                            example: '2027-03-03T14:05:32+00:00'
                          status:
                            type: string
                            example: pending
                          created_at:
                            type: string
                            example: '2026-03-03T14:05:32+00:00'
                      has_immediate_termination:
                        type: boolean
                        example: true
                      is_in_grace_period:
                        type: boolean
                        example: false
                      expires_at:
                        type: string
                        example: '2026-04-03T14:05:32+00:00'
                example:
                  data:
                    uuid: 19c246a2-0ab5-3d16-9195-00d5c451ed24
                    name: Aut officiis eaque modi.
                    short_description: Magnam officiis accusantium non rerum sequi qui.
                    status: draft
                    current_period_start: '2026-03-03T14:05:32+00:00'
                    current_period_end: '2026-04-03T14:05:32+00:00'
                    previous_period_start: '2026-03-03T14:05:32+00:00'
                    previous_period_end: '2026-02-03T14:05:32+00:00'
                    started_at: '2026-03-03T14:05:32+00:00'
                    terminated_at: '2026-03-03T14:05:32+00:00'
                    billing_anchor_day: 20
                    customer:
                      uuid: a13651d6-148c-4b8d-acd4-06918d21856d
                      auth_id: a6e0382a-b841-3c2f-be5a-650ec179b4ba
                      name: Jaron Anderson
                      business_entity_id: a13651d6-13c7-4372-9279-a5f3d4035e2e
                      currency: USD
                    total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    sub_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    discount_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    current_phase:
                      uuid: a8d49ae8-52eb-3c2c-ad19-722116e39043
                      name: Cumque id voluptas.
                      short_description: Sit tempore autem et voluptas.
                      start_at: '2026-03-03T14:05:32+00:00'
                      occurrence: month
                      period: 1
                      end_at: '2027-03-03T14:05:32+00:00'
                      status: pending
                      created_at: '2026-03-03T14:05:32+00:00'
                    has_immediate_termination: true
                    is_in_grace_period: false
                    expires_at: '2026-04-03T14:05:32+00:00'
              example:
                data:
                  uuid: 19c246a2-0ab5-3d16-9195-00d5c451ed24
                  name: Aut officiis eaque modi.
                  short_description: Magnam officiis accusantium non rerum sequi qui.
                  status: draft
                  current_period_start: '2026-03-03T14:05:32.0000000+00:00'
                  current_period_end: '2026-04-03T14:05:32.0000000+00:00'
                  previous_period_start: '2026-03-03T14:05:32.0000000+00:00'
                  previous_period_end: '2026-02-03T14:05:32.0000000+00:00'
                  started_at: '2026-03-03T14:05:32.0000000+00:00'
                  terminated_at: '2026-03-03T14:05:32.0000000+00:00'
                  billing_anchor_day: 20
                  customer:
                    uuid: a13651d6-148c-4b8d-acd4-06918d21856d
                    auth_id: a6e0382a-b841-3c2f-be5a-650ec179b4ba
                    name: Jaron Anderson
                    business_entity_id: a13651d6-13c7-4372-9279-a5f3d4035e2e
                    currency: USD
                  total:
                    currency: USD
                    amount: '0.00'
                    amount_minor: 0
                  sub_total:
                    currency: USD
                    amount: '0.00'
                    amount_minor: 0
                  discount_total:
                    currency: USD
                    amount: '0.00'
                    amount_minor: 0
                  current_phase:
                    uuid: a8d49ae8-52eb-3c2c-ad19-722116e39043
                    name: Cumque id voluptas.
                    short_description: Sit tempore autem et voluptas.
                    start_at: '2026-03-03T14:05:32.0000000+00:00'
                    occurrence: month
                    period: 1
                    end_at: '2027-03-03T14:05:32.0000000+00:00'
                    status: pending
                    created_at: '2026-03-03T14:05:32.0000000+00:00'
                  has_immediate_termination: true
                  is_in_grace_period: false
                  expires_at: '2026-04-03T14:05:32.0000000+00:00'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````